Package org.apache.sysds.runtime.compress.workload

# Class Op

java.lang.Object
org.apache.sysds.runtime.compress.workload.Op

Direct Known Subclasses:
  `OpMetadata`, `OpNormal`, `OpSided`

public abstract class Op extends Object

## Constructor Summary

Constructors
Constructor
Description
`Op(Hop op)`

## Method Summary

Modifier and Type
Method
Description
`int`
`dim()`
`Hop`
`getHop()`
`boolean`
`isCompressedOutput()`
`final boolean`
`isDecompressing()`
`boolean`
`isDensifying()`
`boolean`
`isOverlapping()`
`final void`
`setDecompressing()`
`void`
`setDensifying()`
`void`
`setOverlapping()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Op

public Op(Hop op)

## Method Details

### getHop

public Hop getHop()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### isCompressedOutput

public boolean isCompressedOutput()

### isDecompressing

public final boolean isDecompressing()

### setDecompressing

public final void setDecompressing()

### isOverlapping

public boolean isOverlapping()

### setOverlapping

public void setOverlapping()

### isDensifying

public boolean isDensifying()

### setDensifying

public void setDensifying()

### dim

public int dim()